#ifndef EDITDBDIALOG_H
#define EDITDBDIALOG_H


#include <QDialog>
#include <QSqlQueryModel>
#include <QSqlQuery>
#include <QtSql>
#include <QSqlDatabase>
#include <QMessageBox>
#include <QFile>
#include <QListWidget>
#include <QDateTime>
#include <QString>
#include "signindialog.h"


namespace Ui {
class editDBDialog;
}

class editDBDialog : public QDialog
{
    Q_OBJECT

public:
    editDBDialog(QWidget *parent = nullptr);
    explicit editDBDialog(QSqlDatabase& db_copy, QWidget *parent = nullptr);
    ~editDBDialog();

    void refresh();


signals:
    void signInWndShow(); //signal to show sign in window


private slots:

    void on_runQueryBtn_clicked();

    void on_clearBtn_clicked();

    void selectTable(QListWidgetItem* item);

    void on_changeServerBtn_clicked();

private:
    Ui::editDBDialog *ui;
    QFile file;
    signInDialog* dialog;
    QSqlQueryModel *m_model;
    QSqlDatabase m_db;
};

#endif // EDITDBDIALOG_H

/*
 CREATE TABLE agents(name TEXT, surname TEXT, age INT, department TEXT);
 INSERT INTO agents VALUES ('Alex', 'Mason', 41, 'SAS'),
                           ('Frank', 'Woods', 37, 'NATO'),
                           ('Russel', 'Adler', 36, 'NATO'),
                           ('Mishel', 'Park', 28, 'STU');
 UPDATE agents
 SET age = 38
 WHERE name = 'Frank'
*/
