#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QDialog>
#include <QSqlQueryModel>
#include <QSqlQuery>
#include <QtSql>
#include <QSqlDatabase>
#include <QMessageBox>
#include <QFile>
#include <QListWidget>
#include <QDateTime>
#include <QString>
#include <QMainWindow>


class signInDialog;

QT_BEGIN_NAMESPACE
namespace Ui { class MainWindow; class signInDialog; }
QT_END_NAMESPACE

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    MainWindow(QWidget *parent = nullptr);
    explicit MainWindow(QSqlDatabase& db, QWidget *parent = nullptr);
    ~MainWindow();

    void refresh();


/*
signals:
    void signInWndShow(); //signal to show sign in window
*/

private slots:

    void on_runQueryBtn_clicked();

    void on_clearBtn_clicked();

    void selectTable(QListWidgetItem* item);

    void on_changeServerBtn_clicked();

    void on_clearHistoryBtn_clicked();

private:
    Ui::MainWindow *ui;
    QFile file;
    signInDialog* dialog;
    QSqlQueryModel *m_model;
    QSqlDatabase m_db;
};

#endif // MAINWINDOW_H
