#include "signindialog.h"
#include "ui_signindialog.h"

signInDialog::signInDialog(QSqlDatabase& db, QWidget* pwgt) :
    QDialog(pwgt),
    m_db(db),
    ui(new Ui::signInDialog)
{
    ui->setupUi(this);

    QSettings settings;
    settings.beginGroup("/Database_browser/settings");
    ui->databasename_lineEdit->setText (settings.value("Database_name", "fn1131_2021" ).toString());
    ui->hostname_lineEdit->setText     (settings.value("Host"         , "195.19.32.74").toString());
    ui->port_lineEdit->setText         (settings.value("Port"         , 5432          ).toString());
    ui->username_lineEdit->setText     (settings.value("Log1n"        , "student"     ).toString());
    ui->password_lineEdit->setText     (settings.value("Password"     , "bmstu"       ).toString());
    settings.sync();
    settings.endGroup();
}

signInDialog::~signInDialog()
{
    delete ui;
}

void signInDialog::on_pushButton_clicked()
{
    /*
        HostName: 195.19.32.74;
        DatabaseName: fn1131_2021
        Port: 5432
        UserName: student
        Password: bmstu
    */

    m_db = QSqlDatabase::addDatabase("QPSQL");
    m_db.setHostName(ui->hostname_lineEdit->text());
    m_db.setDatabaseName(ui->databasename_lineEdit->text());
    m_db.setPort(ui->port_lineEdit->text().toInt());
    m_db.setUserName(ui->username_lineEdit->text());
    m_db.setPassword(ui->password_lineEdit->text());

    if(!m_db.open())
    {
        QMessageBox msgBox;
        msgBox.setText("Failed to connect to database. Check inputed data.");
        msgBox.setIcon(QMessageBox::Warning);
        msgBox.exec();
    }
    else
    {
        QSettings settings;
        settings.beginGroup("/Database_browser/settings");
        settings.setValue("Database_name", ui->databasename_lineEdit->text());
        settings.setValue("Host"         , ui->hostname_lineEdit->text());
        settings.setValue("Port"         , ui->port_lineEdit->text()    );
        settings.setValue("Log1n"        , ui->username_lineEdit->text());
        settings.setValue("Password"     , ui->password_lineEdit->text());
        settings.sync();
        qDebug() << settings.fileName();
        settings.endGroup();
        hide();
    }
}


